id: https://concepts.inm7.de/s/base/unreleased
name: inm7-base-schema
version: UNRELEASED
status: eunal:concept-status/DRAFT
title: INM7 base metadata model
description: |
  TODO

  More information is available on the schema's [about page](about).

  The schema definition is available as

  - [JSON-LD context](../unreleased.jsonld)
  - [LinkML YAML](../unreleased.yaml)
  - [OWL TTL](../unreleased.owl.ttl)
  - [SHACL TTL](../unreleased.shacl.ttl)

comments:
  - ALL CONTENT HERE IS UNRELEASED AND MAY CHANGE ANY TIME

license: CC-BY-4.0

prefixes:
  ADMS: http://www.w3.org/ns/adms#
  bibo: http://purl.org/ontology/bibo/
  CiTO: http://purl.org/spar/cito/
  dcat: http://www.w3.org/ns/dcat#
  dcterms: http://purl.org/dc/terms/
  dledist: https://concepts.datalad.org/s/edistributions/unreleased/
  dlidentifiers: https://concepts.datalad.org/s/identifiers/unreleased/
  dlprops: https://concepts.datalad.org/s/properties/unreleased/
  dlprov: https://concepts.datalad.org/s/prov/unreleased/
  dlpubs: https://concepts.datalad.org/s/publications/unreleased/
  dlres: https://concepts.datalad.org/s/resources/unreleased/
  dlroles: https://concepts.datalad.org/s/roles/unreleased/
  dlschemas: https://concepts.datalad.org/s/
  dlsocial: https://concepts.datalad.org/s/social/unreleased/
  dlspatial: https://concepts.datalad.org/s/spatial/unreleased/
  dltemporal: https://concepts.datalad.org/s/temporal/unreleased/
  dlthings: https://concepts.datalad.org/s/things/v1/
  dltypes: https://concepts.datalad.org/s/types/unreleased/
  dpv: https://w3id.org/dpv#
  doi: https://dx.doi.org/
  # declare a namespace for emails, such that they can be defined as a curie
  # e.g.: email:me@example.org
  # -> https://concepts.datalad.org/ns/email/me@example.org
  email: https://concepts.datalad.org/ns/email/
  eunal: http://publications.europa.eu/resource/authority/
  ex: http://example.org/
  foaf: http://xmlns.com/foaf/0.1/
  geo: "geo:"
  gepris: https://gepris.dfg.de/gepris/
  inm7base: https://concepts.inm7.de/s/base/unreleased/
  inm7: https://inm7.de/ns/
  linkml: https://w3id.org/linkml/
  marcrel: http://id.loc.gov/vocabulary/relators/
  obo: http://purl.obolibrary.org/obo/
  orcid: https://orcid.org/
  owl: http://www.w3.org/2002/07/owl#
  pav: http://purl.org/pav/
  rdf: http://www.w3.org/1999/02/22-rdf-syntax-ns#
  rdfs: http://www.w3.org/2000/01/rdf-schema#
  ror: https://ror.org/
  schema: http://schema.org/
  sct: "http://snomed.info/id/"
  sh: http://www.w3.org/ns/shacl#
  sio: http://semanticscience.org/resource/
  skos: http://www.w3.org/2004/02/skos/core#
  vcard: http://www.w3.org/2006/vcard/ns#
  w3ctr: https://www.w3.org/TR/
  xsd: http://www.w3.org/2001/XMLSchema#

default_prefix: inm7base

emit_prefixes:
  - dlidentifiers
  - dlprops
  - dlprov
  - dlres
  - dlroles
  - dlspatial
  - dltemporal
  - dlthings
  - dltypes
  - geo
  - marcrel
  - rdf
  - rdfs
  - skos
  - w3ctr
  - xsd

imports:
  - dlschemas:edistributions/unreleased
  - dlschemas:publications/unreleased
  - dlschemas:resources/unreleased
  - dlschemas:social/unreleased


#classes:
#  Account:
#    is_a: Resource
#    description: >-
#      TODO
#
#  Award:
#    is_a: Entity
#    description: >-
#      TODO
#
#  DataUsageAgreement:
#    is_a: Document
#    description: >-
#      TODO
#
#  CollaborationAgreement:
#    is_a: Document
#    description: >-
#      TODO
#
#  EmailAccount:
#    is_a: Account
#    description: >-
#      TODO
#
#  FZJEmailAccount:
#    is_a: EmailAccount
#    description: >-
#      TODO
#
#  INM7Group:
#    is_a: Group
#    description: >-
#      TODO
#
#  JuselessProject:
#    is_a: Project
#    description: >-
#      TODO
#
#  JuselessAccount:
#    is_a: Account
#    description: >-
#      TODO
#
#  JuselessGroup:
#    is_a: Account
#    description: >-
#      TODO
#
#  MatrixAccount:
#    is_a: Account
#    description: >-
#      TODO
